
/*
 *
 *	File:    unloadfont.c
 *
 *	Purpose: unload a font from the ABC 1600 font cache
 *
 *	Usage:   unloadfont font
 *
 *	Author:  Goran Larsson
 *
 */

#include <dnix/fcodes.h>

#define PFLOAD   (('p'<<8)|7)
#define PFREMOVE (('p'<<8)|8)
#define CONSOLE 1

char font;

main ( argc, argv )
int argc;
char *argv[];

{
	if ( argc != 2 ) {
		printf ( "Usage: unloadfont A..Z\n" );
		exit ( 1 );
	}
	font = argv[1][0];
	if ( font >= 'a' ) {
		font = font - ' ';
	}
	if ( ( font >= 'A' ) && ( font <= 'Z' ) ) {
		dnix ( F_IOCW, CONSOLE, &font, 1, PFREMOVE, 0, 0, 0 );
	} else {
		printf ( "%s: font must be A to Z\n", argv[0] );
		exit ( 1 );
	}
	exit ( 0 );
}

/*
 *
 * This program must be used after a new font has been linked
 *  to the ..../used/p or ...../used/l directory, so that the
 *  new fontfile will be used instead of the cached font.
 *
 */
